#
# spec file for package servletapi5 (Version 5.0.18)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl ant attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs expat-32bit file filesystem fillup findutils flex fontconfig-32bit freetype2-32bit gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-32bit glibc-devel glibc-locale gpm grep groff gzip info insserv java-1_4_2-sun java-1_4_2-sun-devel jpackage-utils klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip update-alternatives util-linux vim xerces-j2 xml-commons xml-commons-apis xorg-x11-libs-32bit zlib zlib-32bit zlib-devel

Name:           servletapi5
BuildRequires:  ant java-1_4_2-sun-devel update-alternatives xml-commons-apis
%define	base_name	servletapi
%define	major_version	5
%define	name		%{base_name}%{major_version}
%define full_name	jakarta-%{base_name}
%define	version		5.0.18
%define release		1jpp
%define section		free
Version:        5.0.18
Release:        19.2
Summary:        Java servlet and JSP implementation classes
License:        Apache
Group:          Development/Libraries/Java
Source:         %{full_name}-5-src.tar.gz
URL:            http://jakarta.apache.org/tomcat/
Requires:       /usr/sbin/update-alternatives
BuildArch:	noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
#Obsoletes:	servlet4
#Obsoletes:	servlet23
Provides:       servlet
Provides:       servlet5
Provides:       servlet24

%description
This subproject contains the source code for the implementation classes
of the Java Servlet and JSP APIs (packages javax.servlet).



%debug_package
%package javadoc
Group:          Development/Libraries/Java
Summary:        Javadoc for servletapi5
PreReq:         coreutils

%description javadoc
This subproject contains the source code for the implementation classes
of the Java Servlet and JSP APIs (packages javax.servlet).

This package contains the javadoc documentation for the Java Servlet
and JSP APIs.



%prep
rm -rf $RPM_BUILD_ROOT
%setup -q -c -T -a 0 -n %{full_name}-5-src

%build
# Fix us a license file first
cp -f jakarta-tomcat-%{version}-src/jakarta-servletapi-5/jsr154/LICENSE .
cd jakarta-tomcat-%{version}-src/jakarta-servletapi-5
find . -type f -name "*.jar" -exec rm -f {} \;
pushd .
cd jsr154
ant dist -Dservletapi.build=build -Dservletapi.dist=dist
popd 
pushd .
cd jsr152
ant dist -Dservletapi.build=build -Dservletapi.dist=dist
popd

%install
cd jakarta-tomcat-%{version}-src/jakarta-servletapi-5
# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -m 644 jsr152/dist/lib/jsp-api.jar $RPM_BUILD_ROOT%{_javadir}/jspapi-%{version}.jar
install -m 644 jsr154/dist/lib/servlet-api.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`; done)
# javadoc jsp
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/jsp-api-%{version}
cp -pr jsr152/build/docs/api/* $RPM_BUILD_ROOT%{_javadocdir}/jsp-api-%{version}
ln -s jsp-api-%{version} $RPM_BUILD_ROOT%{_javadocdir}/jsp-api # ghost symlink
# javadoc servlet
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr jsr154/build/docs/api/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink

%clean
rm -rf $RPM_BUILD_ROOT

%post
#update-alternatives --install %{_javadir}/servlet.jar servlet %{_javadir}/%{name}-%{version}.jar 50
#update-alternatives --install %{_javadir}/jsp.jar jsp %{_javadir}/jsp-api-%{version}.jar 50

%postun
#if [ "$1" = "0" ]; then
#	update-alternatives --remove servlet %{_javadir}/%{name}-%{version}.jar
#	update-alternatives --remove jsp %{_javadir}/jsp-api-%{version}.jar
#fi

%post javadoc
rm -f %{_javadocdir}/%{name}
rm -f %{_javadocdir}/jsp-api
ln -s %{name}-%{version} %{_javadocdir}/%{name}
ln -s jsp-api-%{version} %{_javadocdir}/jsp-api

%files
%defattr(-,root,root)
%doc LICENSE
%{_javadir}/*

%files javadoc
%defattr(-,root,root)
%doc %{_javadocdir}/%{name}-%{version}
%doc %{_javadocdir}/jsp-api-%{version}
%ghost %doc %{_javadocdir}/%{name}
%ghost %doc %{_javadocdir}/jsp-api

%changelog -n servletapi5
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Sep 29 2005 - dmueller@suse.de
- add norootforbuild
* Thu Sep 16 2004 - skh@suse.de
- Fix prerequires of javadoc subpackage
* Thu Sep 02 2004 - skh@suse.de
- Initial package created with version 5.0.18 (JPackage 1.5)
